Index: trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh_example1
===================================================================
--- trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh_example1	(revision 2752)
+++ trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh_example1	(revision 2753)
@@ -11,5 +11,5 @@
 # EXAMPLES
 # ========
-# $ . ./std_plots_vardef.sh
+# $ . ./std_plot_vardef.sh
 #
 #
Index: trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh_example2
===================================================================
--- trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh_example2	(revision 2752)
+++ trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_plot_vardef.sh_example2	(revision 2753)
@@ -7,9 +7,9 @@
 # DESCRIPTION
 # ===========
-# define all varibles needed by std_ts.sh and std_ts.pro
+# define all varibles needed by std_plot.sh and std_plot.pro
 #
 # EXAMPLES
 # ========
-# $ . ./std_plots_vardef.sh
+# $ . ./std_plot_vardef.sh
 #
 #
@@ -18,7 +18,7 @@
 idl_command=/Applications/itt/idl64/bin/idl
 #
-PS_DIR=$( pwd )/ps_core_tag33
-PDF_DIR=$( pwd )/pdf_core_tag33
-HTML_DIR=$( pwd )/html_core_tag33
+PS_DIR=$( pwd )/ps
+PDF_DIR=$( pwd )/pdf
+HTML_DIR=$( pwd )/html
 SAXO_DIR=/Users/smasson/SAXO_DIR
 #
@@ -46,29 +46,35 @@
 #===================== EXP1 =====================
 #
-READ_ONLY_FIRST_RECORD=0   # if 0 then read all records in files else read only the first reacord in each file
-#
-DATE1=10101   ;   DATE2=1001231
-#
-VAR1_T=thetao     ;   V1T_PREF=tmx_2000     ;   V1T_SUFF=_1Y_grid_T.nc
-VAR1_S=so         ;   V1S_PREF=tmx_2000     ;   V1S_SUFF=_1Y_grid_T.nc
-VAR1_SSH=zos      ;   V1SSH_PREF=tmx_2000   ;   V1SSH_SUFF=_1Y_grid_T.nc
-VAR1_Q=qns+qsr    ;   V1Q_PREF=tmx_2000     ;   V1Q_SUFF=_1Y_grid_T.nc
-VAR1_EMP=wfo      ;   V1EMP_PREF=tmx_2000   ;   V1EMP_SUFF=_1Y_grid_T.nc
-VAR1_U=uoce_eff   ;   V1U_PREF=tmx_2000     ;   V1U_SUFF=_1Y_grid_U.nc
-VAR1_V=voce_eff   ;   V1V_PREF=tmx_2000     ;   V1V_SUFF=_1Y_grid_V.nc
-VAR1_ICE=sic      ;   V1ICE_PREF=tmx_2000   ;   V1ICE_SUFF=_1Y_icemod.nc
+FILE1_T=tag33_20910101_21001231_1Y_grid_T.nc   # exp1 grid T input file
+FILE1_U=tag33_20910101_21001231_1Y_grid_U.nc   # exp1 grid U input file
+FILE1_V=tag33_20910101_21001231_1Y_grid_V.nc   # exp1 grid V input file
+FILE1_I=tag33_20910101_21001231_1M_icemod.nc   # exp1 ice    input file
+VAR1_T=thetao
+VAR1_S=so
+VAR1_QNET=qt
+VAR1_ERP=wfcorr
+VAR1_EMP=wfo
+VAR1_MLD=mldr10_1
+VAR1_U=uocetr_eff
+VAR1_V=vocetr_eff
+VAR1_Ithick=sit
+VAR1_Ifrac=sic
 #
 #===================== EXP2 =====================
 #
-DATE1_2=20010101   ;   DATE2_2=21001231
-#
-VAR2_T=thetao     ;   V2T_PREF=tag33     ;   V2T_SUFF=_1Y_grid_T.nc
-VAR2_S=so         ;   V2S_PREF=tag33     ;   V2S_SUFF=_1Y_grid_T.nc
-VAR2_SSH=zos      ;   V2SSH_PREF=tag33   ;   V2SSH_SUFF=_1Y_grid_T.nc
-VAR2_Q=qt         ;   V2Q_PREF=tag33     ;   V2Q_SUFF=_1Y_grid_T.nc
-VAR2_EMP=wfo      ;   V2EMP_PREF=tag33   ;   V2EMP_SUFF=_1Y_grid_T.nc
-VAR2_U=uocetr_eff ;   V2U_PREF=tag33     ;   V2U_SUFF=_1Y_grid_U.nc
-VAR2_V=vocetr_eff ;   V2V_PREF=tag33     ;   V2V_SUFF=_1Y_grid_V.nc
-VAR2_ICE=sic      ;   V2ICE_PREF=tag33   ;   V2ICE_SUFF=_1Y_icemod.nc
+FILE2_T=tmx_2000_00910101_01001231_1Y_grid_T.nc   # exp1 grid T input file
+FILE2_U=tmx_2000_00910101_01001231_1Y_grid_U.nc   # exp1 grid U input file
+FILE2_V=tmx_2000_00910101_01001231_1Y_grid_V.nc   # exp1 grid V input file
+FILE2_I=tmx_2000_00910101_01001231_1M_icemod.nc   # exp1 ice    input file
+VAR2_T=thetao
+VAR2_S=so
+VAR2_QNET=qns+qsr
+VAR2_ERP=wfcorr
+VAR2_EMP=wfo
+VAR2_MLD=mldr10_1
+VAR2_U=uoce_eff
+VAR2_V=voce_eff
+VAR2_Ithick=sit
+VAR2_Ifrac=sic
 #
 ######################### Export Variables ###############################
@@ -88,23 +94,12 @@
 #===================== EXP1 =====================
 export READ_ONLY_FIRST_RECORD
+export FILE1_T FILE1_U FILE1_V FILE1_I
+export VAR1_T VAR1_S VAR1_QNET VAR1_ERP VAR1_EMP VAR1_MLD 
+export VAR1_U VAR1_V
+export VAR1_Ithick VAR1_Ifrac
+#===================== EXP2 =====================
+export FILE2_T FILE2_U FILE2_V FILE2_I
+export VAR2_T VAR2_S VAR2_QNET VAR2_ERP VAR2_EMP VAR2_MLD 
+export VAR2_U VAR2_V
+export VAR2_Ithick VAR2_Ifrac
 #
-export DATE1 DATE2
-export VAR1_T    V1T_PREF    V1T_SUFF
-export VAR1_S    V1S_PREF    V1S_SUFF
-export VAR1_SSH  V1SSH_PREF  V1SSH_SUFF
-export VAR1_Q    V1Q_PREF    V1Q_SUFF
-export VAR1_EMP  V1EMP_PREF  V1EMP_SUFF
-export VAR1_U    V1U_PREF    V1U_SUFF
-export VAR1_V    V1V_PREF    V1V_SUFF
-export VAR1_ICE  V1ICE_PREF  V1ICE_SUFF
-#===================== EXP2 =====================
-export DATE1_2 DATE2_2
-export VAR2_T    V2T_PREF    V2T_SUFF
-export VAR2_S    V2S_PREF    V2S_SUFF
-export VAR2_SSH  V2SSH_PREF  V2SSH_SUFF
-export VAR2_Q    V2Q_PREF    V2Q_SUFF
-export VAR2_EMP  V2EMP_PREF  V2EMP_SUFF
-export VAR2_U    V2U_PREF    V2U_SUFF
-export VAR2_V    V2V_PREF    V2V_SUFF
-export VAR2_ICE  V2ICE_PREF  V2ICE_SUFF
-#
Index: trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh_example1
===================================================================
--- trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh_example1	(revision 2752)
+++ trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh_example1	(revision 2753)
@@ -11,5 +11,5 @@
 # EXAMPLES
 # ========
-# $ . ./std_plots_vardef.sh
+# $ . ./std_ts_vardef.sh
 #
 #
Index: trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh_example2
===================================================================
--- trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh_example2	(revision 2752)
+++ trunk/NEMOGCM/CONFIG/ORCA2_LIM/IDL_scripts/std_ts_vardef.sh_example2	(revision 2753)
@@ -11,5 +11,5 @@
 # EXAMPLES
 # ========
-# $ . ./std_plots_vardef.sh
+# $ . ./std_ts_vardef.sh
 #
 #