Index: branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/run/job.ksh
===================================================================
--- branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/run/job.ksh	(revision 2946)
+++ branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/run/job.ksh	(revision 2947)
@@ -11,7 +11,7 @@
 #####################################################
 # each configuration is defined by:
-#   - INSPACE: directory where is the coordinate
-#   - COOR_FIL: configuration's coordinate
-#   - LIST:     configuration's list of section
+#   - INSPACE: directory the coordinate netcdf file is
+#   - COOR_FIL: configuration's coordinate netcdf file
+#   - LIST:     configuration's list of sections
 #
 #####################################################
Index: branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/compute_sections.f90
===================================================================
--- branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/compute_sections.f90	(revision 2946)
+++ branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/compute_sections.f90	(revision 2947)
@@ -2,5 +2,5 @@
    !!=====================================================================
    !!                       ***  MODULE  diadct  ***
-   !! Ocean diagnostics: Compute the transport trough a section
+   !! Ocean diagnostics: Compute the transport through a section
    !!
    !! History: 2011: Clement Bricaud, Mercator-Ocean
@@ -25,14 +25,14 @@
      !!                     ***  ROUTINE compsec  ***
      !!
-     !!  ** Purpose : Compute the serie of mesh's points that represents the section
+     !!  ** Purpose : Compute the series of mesh points that represent the section
      !!               defined by its extremities.
      !!
      !!  ** Method  : 
-     !!          I.   Found which cells of the mesh the section is  crossing
+     !!          I.   Find which cells of the mesh the section is crossing
      !!          II.  Classification of the intersections mesh/section
-     !!                  -first classification  west to east          
+     !!                  -first  classification west to east          
      !!                  -second classification south to north 
      !!          III. Find extremities of section in the mesh
-     !!          IV.  Find the serie of mesh's points that form the section
+     !!          IV.  Find the series of mesh points that form the section
      !!  ** Input: sec : the section to compute
      !!
@@ -40,28 +40,28 @@
      !!---------------------------------------------------------------------
      !! * Arguments
-     INTEGER,INTENT(IN)           :: jsec  !number of the section
-     TYPE(SECTION), INTENT(INOUT) :: sec   !information about the section
-     LOGICAL ,INTENT(IN)          :: lkdebug !debug or not debug this section
+     INTEGER,INTENT(IN)           :: jsec    ! number of the section
+     TYPE(SECTION), INTENT(INOUT) :: sec     ! information about the section
+     LOGICAL ,INTENT(IN)          :: lkdebug ! debug or not debug this section
 
      !! * Local variables
      INTEGER :: &
         ji,jj            ,     & ! dummy loop argument
-        jseg             ,     & ! loop on segments taht form the section    
-        nb_inmesh        ,     & ! number of intersection between section and the mesh
+        jseg             ,     & ! loop on segments that form the section    
+        nb_inmesh        ,     & ! number of intersections between the section and the mesh
         nmesh                    ! number of cells in processor domain
      INTEGER :: itest , jtest    ! dummy integer
-     REAL(wp),SAVE :: zdistmesh      ! Taller cell of the mesh in ocean
+     REAL(wp),SAVE :: zdistmesh  ! Taller cell of the mesh in ocean
      REAL(wp)      :: &
         zdistEst   , zdistNorth , zdistWest , zdistSouth ,  &! temporary scalars
         zdistEst2  , zdistNorth2, zdistWest2, zdistSouth2,  &! temporary scalars
         zdistEst3  , zdistNorth3, zdistWest3, zdistSouth3,  &! temporary scalars
-        zdistFirst , zdistLast  , zdistref  ,               &!         "
-        zdistante  , zdistante2 , zdistnew  , zdistnew2  ,  &!         "
-        zdeltai    , zdeltaj                                !         "
+        zdistFirst , zdistLast  , zdistref  ,               &! temporary scalars
+        zdistante  , zdistante2 , zdistnew  , zdistnew2  ,  &! temporary scalars
+        zdeltai    , zdeltaj                                 ! temporary scalars
      LOGICAL :: & 
         ll_overlap_sec_left = .FALSE. , ll_overlap_sec_right = .FALSE. ,&! temporary logical
-        ll_date_domain_left = .FALSE. , ll_date_domain_right = .FALSE. ,&!       "
-        ll_overlap_sec      = .FALSE. , ll_date_domain       = .FALSE. ,&!       "
-        ll_test             = .FALSE.                                    !       "
+        ll_date_domain_left = .FALSE. , ll_date_domain_right = .FALSE. ,&! temporary logical
+        ll_overlap_sec      = .FALSE. , ll_date_domain       = .FALSE. ,&! temporary logical
+        ll_test             = .FALSE.                                    ! temporary logical
      LOGICAL :: lest, lwest, lnorth, lsouth
      LOGICAL :: l_oldmethod
@@ -91,8 +91,8 @@
      
      nmesh       = jpi*jpj          ! number of cells in processor domain
-     nb_inmesh   = 0                !initialize number of intersection between section and the mesh
+     nb_inmesh   = 0                ! initialize number of intersections between section and the mesh
      zdistEst  =0. ; zdistNorth=0. ; zdistWest=0. ; zdistSouth=0.   ! temporary scalars
-     zdistFirst=0. ; zdistLast =0.                                   !         "
-     zdistante =0. ; zdistante2=0. ; zdistnew=0.  ; zdistnew2=0.    !         "
+     zdistFirst=0. ; zdistLast =0.                                  ! temporary scalars
+     zdistante =0. ; zdistante2=0. ; zdistnew=0.  ; zdistnew2=0.    ! temporary scalars
      zdeltai=0.    ; zdeltaj=0. 
      coord_a     = COORD_SECTION( 0., 0. ) ; coord_b    = COORD_SECTION( 0., 0. )
@@ -106,5 +106,5 @@
 
      IF( jsec == 1 )THEN
-        !Found the taller cell of the mesh in ocean (used in compsec)
+        !Find the taller cell of the mesh in ocean (used in compsec)
         zdistmesh=0.
         DO jj=2,jpj
@@ -124,5 +124,5 @@
 
      !===========================================================!    
-     !I. Found which cells of the mesh the section is  crossing  !
+     !I. Find which cells of the mesh the section is  crossing  !
      !===========================================================!
 
@@ -363,5 +363,5 @@
 
      !==========================================================!
-     ! IV. Find the serie of mesh's points that form the section!
+     ! IV. Find the series of mesh points that form the section !
      !==========================================================!
      CALL write_debug(jsec,"Find the serie of mesh's points that form the section")
@@ -369,9 +369,9 @@
      IF( sec%nb_point .ne. 0 )THEN
 
-        !The serie of mesh's points that form the section will 'link' 
+        !The series of mesh points that form the section will 'link' 
         !sec%listPoint(1) to endingPoint: it will be stored in 
         !sec%listPoint(jseg)
         !
-        !We take place on the fist point (sec%listPoint(1)) 
+        !We take place on the first point (sec%listPoint(1)) 
         ! a.  We find the 4 adjacent points (North, South, East, West)
         ! b.  Compute distance between current point and endingPoint
@@ -452,5 +452,5 @@
 
                
-           !we  are on end-point
+           !Either we are at an end-point
            !--------------------
            IF(      SouthPoint%I==endingPoint%I .AND. SouthPoint%J==endingPoint%J )THEN 
@@ -464,5 +464,5 @@
 
            ELSE
-           !we  are NOT on end-point
+           !Else we are NOT on end-point
            !------------------------
 
@@ -473,10 +473,10 @@
               ! c. compute distance between the 4 adjacent points and endingPoint
               !------------------------------------------------------------------
-              ! BE CARREFUL! When the domain crosses the date line (ll_date_domain):
+              ! BE CAREFUL! When the domain crosses the date line (ll_date_domain):
               ! When we will compute distances between W/E/S/N points and endingPoint,
               ! we have to check if theses 4 lines crosses the date line
               ! (test: ABS(coordTemp%lon - coordLast%lon).GT. 180)
               ! If it's true,we have to add 360° to coordLast%long to compute the 
-              ! good distance through the date line and not through the complementary
+              ! correct distance through the date line and not through the complementary
               ! in the mesh.
        
@@ -497,5 +497,5 @@
               IF( sec%listPoint(jseg)%I .EQ. jpi )THEN
                  !We test if the current point is on the east side of the mesh
-                 ! The method is done such as we go toward east to link
+                 ! The method is done such that we go toward east to link
                  ! sec%listPoint(1) to endingPoint.
                  ! So, if the section crosses the overlapping band (ll_overlap_sec=T),
@@ -505,5 +505,5 @@
                  IF( ll_overlap_sec  )THEN
                     !section crosses the overlapping band 
-                    !So EstPoint is on the west side of the mesh
+                    !So EastPoint is on the west side of the mesh
                     EstPoint = POINT_SECTION(3,sec%listPoint(jseg)%J)
                     zdistEst2= distance2(pointToCoordF(EstPoint)  ,coordLast ,.FALSE.)
@@ -592,5 +592,5 @@
                  CALL write_debug(jsec,cltmp)
                    
-                 !be carreful! we can't go backward.
+                 !be careful! we can't go backward.
                  zdistNorth = zdistNorth2    ; zdistSouth = zdistSouth2
                  zdistEst   = zdistEst2      ; zdistWest  = zdistWest2 
@@ -677,5 +677,5 @@
 
 
-     ELSE ! nb_inmesh == 0
+     ELSE ! isec%nb_point == 0
         DO jseg=1,nb_point_max 
            sec%listPoint(:)=POINT_SECTION(0,0)
@@ -695,5 +695,5 @@
         ENDDO
     
-        !test if we are one end-point
+        !test if we are an end-point
         IF( sec%listPoint(sec%nb_point)%I .NE. endingPoint%J .AND. sec%listPoint(sec%nb_point)%J .NE. endingPoint%J )THEN   
            PRINT*,TRIM(sec%name)," NOT ARRIVED TO endingPoint FOR jsec =  ",jsec
Index: branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/declarations.f90
===================================================================
--- branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/declarations.f90	(revision 2946)
+++ branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/declarations.f90	(revision 2947)
@@ -14,5 +14,5 @@
   INTEGER, PUBLIC, PARAMETER   :: nb_class_max  = 10            ! Max number of classes
   INTEGER, PUBLIC, PARAMETER   :: nb_sec_max    = 150           ! Max number of sections
-  INTEGER, PUBLIC, PARAMETER   :: nb_point_max  = 2000          ! Max number of segment per section
+  INTEGER, PUBLIC, PARAMETER   :: nb_point_max  = 2000          ! Max number of segments per section
   INTEGER, PUBLIC, PARAMETER   :: nb_type_class = 14            ! Max number of types of classes
   INTEGER, PUBLIC, PARAMETER   :: numnam=3                      ! Unit for namelist
@@ -21,5 +21,5 @@
 
   INTEGER, PUBLIC              :: jpi,jpj                       ! domain dimensions
-  INTEGER, PUBLIC              :: nb_sec                        ! Number of section read in input file
+  INTEGER, PUBLIC              :: nb_sec                        ! Number of sections read from input file
   INTEGER, PUBLIC              :: nsecdebug = 0                 ! Number of the section to debug
 
@@ -37,20 +37,20 @@
   TYPE SECTION
      CHARACTER(len=60)                              :: name                ! name of the sec
-     LOGICAL                                        :: llstrpond           ! true if you want the computation of salinity and
-                                                                           ! temperature balanced by the transport
-     LOGICAL                                        :: ll_ice_section      ! icesurf and icevol computation
+     LOGICAL                                        :: llstrpond           ! true if you want the computation of salt 
+                                                                           ! and heat transport
+     LOGICAL                                        :: ll_ice_section      ! ice surface and icevolume transport computation
      LOGICAL                                        :: ll_date_line        ! = T if the section crosses the date-line
-     TYPE(COORD_SECTION), DIMENSION(2)              :: coordSec            ! longitude and latitude of the extremities of the sec
+     TYPE(COORD_SECTION), DIMENSION(2)              :: coordSec            ! longitude and latitude of the extremities of the section
      INTEGER                                        :: nb_class            ! number of boundaries for density classes
      INTEGER, DIMENSION(nb_point_max)               :: direction           ! vector direction of the point in the section
-     CHARACTER(len=40),DIMENSION(nb_class_max)      :: classname           ! caracteristics of the class
+     CHARACTER(len=40),DIMENSION(nb_class_max)      :: classname           ! characteristics of the class
      REAL(wp), DIMENSION(nb_class_max)              :: zsigi             ,&! insitu density classes    (99 if you don't want)
                                                        zsigp             ,&! potential density classes    (99 if you don't want)
                                                        zsal              ,&! salinity classes   (99 if you don't want)
                                                        ztem              ,&! temperature classes(99 if you don't want)
-                                                       zlay                ! level classes      (99 if you don't want)
-     REAL(wp)                                       :: slopeSection        ! coeff directeur de la section
-     INTEGER                                        :: nb_point            ! section's number of point
-     TYPE(POINT_SECTION),DIMENSION(nb_point_max)    :: listPoint           ! list of point in the section
+                                                       zlay                ! depth level classes      (99 if you don't want)
+     REAL(wp)                                       :: slopeSection        ! slope of the section 
+     INTEGER                                        :: nb_point            ! number of points in the section
+     TYPE(POINT_SECTION),DIMENSION(nb_point_max)    :: listPoint           ! list of points in the section
   END TYPE SECTION
 
Index: branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/diadct_sections.f90
===================================================================
--- branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/diadct_sections.f90	(revision 2946)
+++ branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/diadct_sections.f90	(revision 2947)
@@ -24,5 +24,5 @@
      CHARACTER(LEN=80)  :: cdum
      INTEGER            :: jsec ,&! loop on sections
-                           jseg   ! loop on sections' points
+                           jseg   ! loop on segments (parts of the section)
      CHARACTER(len=40)  :: clname
      LOGICAL            :: llok
@@ -87,5 +87,5 @@
      !----------------------!
      DO jsec=1,nb_sec
-          !we use compsec to generate the serie of grid points making the section
+          !we use compsec to generate the series of grid points making the section
           IF(jsec == nsecdebug .OR. nsecdebug ==-1)THEN
              CALL compsec(jsec,secs(jsec),.true.)
Index: branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/readcoordmesh.f90
===================================================================
--- branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/readcoordmesh.f90	(revision 2946)
+++ branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/readcoordmesh.f90	(revision 2947)
@@ -21,5 +21,5 @@
   !!              ***  ROUTINE coord_mesh_read  ***
   !!
-  !! ** Purpose :   Read a coordinate and a meshmask file in NetCDF format 
+  !! ** Purpose :   Read a coordinate file and a meshmask file in NetCDF format 
   !!
   !!---------------------------------------------------------------------      
@@ -57,5 +57,5 @@
   !!              ***  ROUTINE getdim  ***
   !!
-  !! ** Purpose :   get dimsensions of a netcdf file
+  !! ** Purpose :   get dimensions of a netcdf file
   !!
   !!----------------------------------------------------------------------
@@ -68,5 +68,5 @@
   INTEGER           :: istatus, id_var      ! dummy variable
   CHARACTER(len=30) :: clname               ! dimension name   
-  INTEGER, ALLOCATABLE,DIMENSION(:) :: ndim ! dimensions value
+  INTEGER, ALLOCATABLE,DIMENSION(:) :: ndim ! dimension value
   !!----------------------------------------------------------------------
 
Index: branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/readsections.f90
===================================================================
--- branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/readsections.f90	(revision 2946)
+++ branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/readsections.f90	(revision 2947)
@@ -23,5 +23,5 @@
      !!
      !! ** Purpose: read ascii file 'list_sections.ascii' that contains
-     !!             sections description
+     !!             section descriptions
      !!
      !!---------------------------------------------------------------------
@@ -29,5 +29,5 @@
 
      !! * Local declarations
-     INTEGER             :: jsec !loop on sections number
+     INTEGER             :: jsec !loop on section number
      INTEGER             :: iost,ji
      INTEGER             :: iclass , jclass
@@ -48,5 +48,5 @@
      PRINT*,'               '
 
-     nb_sec=0 !initialize numer of sections read in list_sections.ascii
+     nb_sec=0 !initialize number of sections read in list_sections.ascii
 
      !open and read input file
@@ -75,5 +75,5 @@
                  ENDDO
 
-                 !computation of salinity and temperature balanced by the transport ?
+                 !computation of heat and salt transport ?
                  llstrpond=.FALSE. ; IF( cdstrpond .EQ. 'okstrpond' ) llstrpond=.TRUE.
 
@@ -81,10 +81,10 @@
                  llice=.FALSE. ; IF( cdice .EQ. 'okice' ) llice=.TRUE.
 
-                 !store extremities coordinates
+                 !store coordinates of the extremities
                  coord_point1=COORD_SECTION(plon1,plat1)
                  coord_point2=COORD_SECTION(plon2,plat2)
                  coord_sec=(/coord_point1,coord_point2/)
 
-                 !Extremities of the sec are classed
+                 !Extremities of the section are classed
                  lldate=.FALSE.
                  IF(  coord_sec(2)%lon .LT. coord_sec(1)%lon  .OR.   &
@@ -102,8 +102,8 @@
                  ENDIF
 
-                 !slope of the sec (equidistant cylindric projection)
+                 !slope of the section (equidistant cylindric projection)
                  zslope=slope_coeff(coord_sec(1),coord_sec(2),lldate)
 
-                 !!init global array secs
+                 !!initialise global array secs
                  secs(jsec)%llstrpond=.FALSE.  
                  secs(jsec)%ll_date_line=.FALSE. ; secs(jsec)%nb_class=0
@@ -113,5 +113,5 @@
                  secs(jsec)%nb_point=0
 
-                 !store all informations in global array secs
+                 !store all information in global array secs
                  secs(jsec)%name           = cdsecname
                  secs(jsec)%llstrpond      = llstrpond
@@ -121,5 +121,5 @@
                  secs(jsec)%ll_date_line   = lldate
 
-                 !debug informations
+                 !debug information
                  CALL write_debug(jsec,'Informations read in ascii file:')
                  CALL write_debug(jsec,'--------------------------------')
Index: branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/sections_tools.f90
===================================================================
--- branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/sections_tools.f90	(revision 2946)
+++ branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/sections_tools.f90	(revision 2947)
@@ -83,5 +83,5 @@
      !!
      !!              B                   A first point of the section
-     !!             / \                  B intermediar point on the section
+     !!             / \                  B intermediate point on the section
      !!            / | \                 C last point of the section
      !!           /  |  \               
@@ -217,5 +217,5 @@
      ! Compute coefficient b for a straight line y=a*x+b
      !        Usual method:  knowing value of a, we compute b with coordinates of 1 point:
-     !                       b=latA-a.lonA ou bien b=latB-a.lonB
+     !                       b=latA-a.lonA or b=latB-a.lonB
      !        Particular case: the straight line crosses the date line; so it is in 2 parts:
      !                         one on the left of the date-line and one the right
@@ -318,5 +318,5 @@
           !  and in [sec%coordSec(1),sec%coordSec(2)]    !
           !==============================================!
-          !Be carreful! The test is not the same for all configurations
+          !Be careful! The test is not the same for all configurations
           IF( sec%ll_date_line )THEN
 
@@ -398,5 +398,5 @@
      REAL(wp), PARAMETER                :: fm=7875.,fa=211.,fc=1663.,fmi=1./fm
      INTEGER                            :: il, ir, i, iq, ist    !local integers
-     INTEGER                            :: jj                    !loop indice
+     INTEGER                            :: jj                    !loop indices
      REAL(wp)                           :: zfx, za, zb           !local real
      INTEGER,DIMENSION(nstack)          :: istack(nstack)        !temp array
@@ -515,9 +515,6 @@
                PRINT*,"Can not open TRIM(clfilename)." ; STOP
            ENDIF   
-        !ELSE
-        !   PRINT*,TRIM(clfilename)//" already opened"  
         ENDIF
       
-       !write
        WRITE(iunit,*)TRIM(cd_write)
 
Index: branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/writesections.f90
===================================================================
--- branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/writesections.f90	(revision 2946)
+++ branches/2011/dev_r2802_MERCATOR10_diadct/NEMOGCM/TOOLS/SECTIONS_DIADCT/src/writesections.f90	(revision 2947)
@@ -41,5 +41,5 @@
      LOGICAL             :: llok   !
      CHARACTER(len=40)   :: clname !
-     TYPE(POINT_SECTION) :: point  !a point's coordinates 
+     TYPE(POINT_SECTION) :: point  !coordinates of a point
 
      !!---------------------------------------------------------------------