Index: branches/2011/dev_LOCEAN_CMCC_2011/DOC/TexFiles/Chapters/Chap_ASM.tex
===================================================================
--- branches/2011/dev_LOCEAN_CMCC_2011/DOC/TexFiles/Chapters/Chap_ASM.tex	(revision 3091)
+++ branches/2011/dev_LOCEAN_CMCC_2011/DOC/TexFiles/Chapters/Chap_ASM.tex	(revision 3092)
@@ -115,5 +115,5 @@
 integration \citep{Talagrand_JAS72, Dobricic_al_OS07}. Diffusion coefficients are defined as 
 $A_D = \alpha e_{1t} e_{2t}$, where $\alpha = 0.2$. The divergence damping is activated by
-assigning to \textit{ndivdmp} in the \textit{nam\_asminc} namelist a value greater than zero. 
+assigning to \np{nn\_divdmp} in the \textit{nam\_asminc} namelist a value greater than zero. 
 By choosing this value to be of the order of 100 the increments in the vertical velocity will 
 be significantly reduced.
Index: branches/2011/dev_LOCEAN_CMCC_2011/NEMOGCM/CONFIG/GYRE/EXP00/namelist
===================================================================
--- branches/2011/dev_LOCEAN_CMCC_2011/NEMOGCM/CONFIG/GYRE/EXP00/namelist	(revision 3091)
+++ branches/2011/dev_LOCEAN_CMCC_2011/NEMOGCM/CONFIG/GYRE/EXP00/namelist	(revision 3092)
@@ -1,3 +1,3 @@
-!!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
+!.!>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>>
 !! NEMO/OPA  :  1 - run manager      (namrun)
 !! namelists    2 - Domain           (namzgr, namzgr_sco, namdom, namtsd)
@@ -856,4 +856,4 @@
     ln_salfix = .false.    !  Logical switch for ensuring that the sa > salfixmin
     salfixmin = -9999      !  Minimum salinity after applying the increments
-    ndivdmp   = 0          !  Number of iterations of divergence damping operator
-/
+    nn_divdmp = 0          !  Number of iterations of divergence damping operator
+/
Index: branches/2011/dev_LOCEAN_CMCC_2011/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist
===================================================================
--- branches/2011/dev_LOCEAN_CMCC_2011/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist	(revision 3091)
+++ branches/2011/dev_LOCEAN_CMCC_2011/NEMOGCM/CONFIG/ORCA2_LIM/EXP00/namelist	(revision 3092)
@@ -856,4 +856,4 @@
     ln_salfix = .false.    !  Logical switch for ensuring that the sa > salfixmin
     salfixmin = -9999      !  Minimum salinity after applying the increments
-    ndivdmp   = 0          !  Number of iterations of divergence damping operator
-/
+    nn_divdmp = 0          !  Number of iterations of divergence damping operator
+/
Index: branches/2011/dev_LOCEAN_CMCC_2011/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist
===================================================================
--- branches/2011/dev_LOCEAN_CMCC_2011/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist	(revision 3091)
+++ branches/2011/dev_LOCEAN_CMCC_2011/NEMOGCM/CONFIG/ORCA2_OFF_PISCES/EXP00/namelist	(revision 3092)
@@ -880,4 +880,4 @@
     ln_salfix = .false.    !  Logical switch for ensuring that the sa > salfixmin
     salfixmin = -9999      !  Minimum salinity after applying the increments
-    ndivdmp   = 0          !  Number of iterations of divergence damping operator
-/
+    nn_divdmp = 0          !  Number of iterations of divergence damping operator
+/
Index: branches/2011/dev_LOCEAN_CMCC_2011/NEMOGCM/CONFIG/POMME/EXP00/namelist
===================================================================
--- branches/2011/dev_LOCEAN_CMCC_2011/NEMOGCM/CONFIG/POMME/EXP00/namelist	(revision 3091)
+++ branches/2011/dev_LOCEAN_CMCC_2011/NEMOGCM/CONFIG/POMME/EXP00/namelist	(revision 3092)
@@ -861,4 +861,4 @@
     ln_salfix = .false.    !  Logical switch for ensuring that the sa > salfixmin
     salfixmin = -9999      !  Minimum salinity after applying the increments
-    ndivdmp   = 0          !  Number of iterations of divergence damping operator
-/
+    nn_divdmp = 0          !  Number of iterations of divergence damping operator
+/
Index: branches/2011/dev_LOCEAN_CMCC_2011/NEMOGCM/NEMO/OPA_SRC/ASM/asminc.F90
===================================================================
--- branches/2011/dev_LOCEAN_CMCC_2011/NEMOGCM/NEMO/OPA_SRC/ASM/asminc.F90	(revision 3091)
+++ branches/2011/dev_LOCEAN_CMCC_2011/NEMOGCM/NEMO/OPA_SRC/ASM/asminc.F90	(revision 3092)
@@ -56,5 +56,5 @@
    LOGICAL, PUBLIC :: ln_sshinc = .FALSE. !: No sea surface height assimilation increment
    LOGICAL, PUBLIC :: ln_salfix = .FALSE. !: Apply minimum salinity check
-   INTEGER, PUBLIC ::   ndivdmp = 0       !: Apply divergence damping filter ndivdmp times
+   INTEGER, PUBLIC :: nn_divdmp = 0       !: Apply divergence damping filter nn_divdmp times
 
    REAL(wp), PUBLIC, DIMENSION(:,:,:), ALLOCATABLE ::   t_bkg   , s_bkg      !: Background temperature and salinity
@@ -129,5 +129,5 @@
          &                 nitbkg, nitdin, nitiaustr, nitiaufin, niaufn,   &
          &                 nittrjfrq, ln_salfix, salfixmin,                &
-         &                 ndivdmp
+         &                 nn_divdmp
       !!----------------------------------------------------------------------
 
@@ -437,5 +437,5 @@
 
 
-      IF ( ln_dyninc .AND. ndivdmp.gt.0 ) THEN
+      IF ( ln_dyninc .AND. nn_divdmp > 0 ) THEN
 
        IF( wrk_in_use( 2, 1) ) THEN
@@ -444,5 +444,5 @@
 
 
-       DO  jt = 1, ndivdmp
+       DO  jt = 1, nn_divdmp
 
            DO jk = 1, jpkm1
Index: branches/2011/dev_LOCEAN_CMCC_2011/NEMOGCM/NEMO/OPA_SRC/DOM/dommsk.F90
===================================================================
--- branches/2011/dev_LOCEAN_CMCC_2011/NEMOGCM/NEMO/OPA_SRC/DOM/dommsk.F90	(revision 3091)
+++ branches/2011/dev_LOCEAN_CMCC_2011/NEMOGCM/NEMO/OPA_SRC/DOM/dommsk.F90	(revision 3092)
@@ -394,5 +394,5 @@
       ! If energy, enstrophy or mixed advection of momentum in vector form change the value for masks
       ! at angles with three ocean points and one land point
-       IF( ln_dynvor_con .OR. ln_dynvor_ene .OR. ln_dynvor_ens .OR. ln_dynvor_mix) THEN
+       IF( ln_dynvor_con .AND. (ln_dynvor_ene .OR. ln_dynvor_ens .OR. ln_dynvor_mix) ) THEN
         DO jj = 2, jpjm1
           DO ji = 2, jpim1